Hide last authors
Sean Hetherington 11.1 1 This document contains information that is important to note when upgrading to iSymphony 3.5.5. Please be sure to completely read the information before upgrading.
Sean Hetherington 1.1 2
3 {{info}}
4 (% class="confluence-information-macro-body" %)
5 (((
Sean Hetherington 11.1 6 If you are not upgrading from iSymphony 3.5.4, be sure to check the change log and upgrade notes for previous versions as well.
Sean Hetherington 1.1 7 )))
8 {{/info}}
9
Sean Hetherington 11.1 10 == Browser Cached Javascript ==
11
12 {{warning}}
Arthur Heffern 18.1 13 (% style="color:#ff0000" %)__**IMPORTANT ERRATA:**__(%%) (% style="color:#000000; text-decoration:none" %)This version contains upgraded websocket push libraries (moving away from jquery push methods to plain javascript push). **The side effect of this is that end users may get a **(% style="color:#ff0000; text-decoration:none" %)**"unable to load push"**(% style="color:#000000; text-decoration:none" %)** message when upgrading from any previous version(s) in a BIG RED BANNER at the top of the page when opening the client or administrator web interfaces after upgrading to this version.** **If a user obtains this message, they should clear their browser cache or reload the page bypassing and refreshing the local cache (CTRL+F5 or Shift+Click Reload Button) or equivalent in the end-user's browser.**
Sean Hetherington 11.1 14
Arthur Heffern 18.1 15 (% style="color:#000000; text-decoration:none" %)Future upgrades will not require this step as HTTP headers should now disable caching and the proper version should always be downloaded.
Sean Hetherington 11.1 16 {{/warning}}
17
Sean Hetherington 1.1 18 == Asterisk V14+ Support ==
19
20 Due to changes in the AMI in asterisk v14, iSymphony 3.5.2 or later is required to use Asterisk v14 or later.
21
22 == End of Support Announcements ==
23
24 Support has been dropped for Asterisk version 1.8, 10, and 12 since iSymphony 3.3.x. iSymphony will continue to officially support Asterisk version 11 and 13.
25
26 Support has been dropped for Oracle JRE v1.7 since iSymphony 3.3.x. If you are running Java 7, you will need to upgrade to Oracle Java 8 or above. See the [[Supported Platforms>>url:http://docs.getisymphony.com/display/ISYMDOCS/Supported+Platforms||shape="rect"]] page for more details.
27
28 Support for Desktop Client 1.x has been dropped, Desktop Client version 2.x will be required from iSymphony Server v3.4.2 onwards. To use v1.x of the desktop client a previous version of the iSymphony Server using Module 2.0.0 or 1.x will be required.
29
30 == Upgrade Steps ==
31
Scott Gagan 17.1 32 Due to the possibility of seeing a large error at the top of the screen, iSymphony v3.5.9.8 can be accessed via the [[doc:iSymphony Knowledge Base.Downloads Archive.WebHome]] and not via the automatic update method. Therefore, v3.5.9.8 requires the [[Manual Upgrade Method>>doc:iSymphony 3\.5 Documentation.iSymphony Installation and Update Guide.Upgrading iSymphony.Upgrading iSymphony with the Manual Method.WebHome]], please also review [[doc:iSymphony 3\.5 Documentation.iSymphony Installation and Update Guide.Upgrading iSymphony.WebHome]] page prior to upgrading.
Sean Hetherington 1.1 33
34 {{note}}
35 The desktop module is now included with the standard distribution, since v3.4.2, to simplify the setup. When upgrading if you are using an older version of the desktop client it is strongly recommended that desktop client is upgraded to version 2.1 or later.
36 {{/note}}
Sean Hetherington 11.1 37
38 (% class="auto-cursor-target" %)
Arthur Heffern 18.1 39
iSymphony